const BaseResult = require("../base");
const { RESULTCODE } = require("../const");

class UnalidResult extends BaseResult {
    constructor(message) {
        super({ code: RESULTCODE.UNVALID, message });
    }

    static REQUIRED = 'REQUIRED';
    static LESSTHENMIN = 'LESSTHENMIN';
    static MORETHENMAX = 'MORETHENMAX';
    static REGEX = 'REGEX';
    static TYPEERROR = 'TYPEERROR';
}

module.exports = UnalidResult;